Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianQuaxBean

    java.lang.Object
      com.tonbeller.jpivot.olap.query.QuaxBean
          com.tonbeller.jpivot.mondrian.MondrianQuaxBean

All Implemented Interfaces:
  java.io.Serializable

    public class MondrianQuaxBean

extends QuaxBean
implements java.io.Serializable

Java Bean object to hold the state of MondrianQuax. Used for serialization of MondrianModel via MondrianMemento. Referenced by MondrianMemento.

See Also:
  Serialized Form

Constructor Summary
`MondrianQuaxBean()`

Method Summary
`MondrianDrillExBean[]` | `getDrillExes()` Get drillExes.
`MondrianMemberSetBean[]` | `getMemberSets()` Get memberSets.
`void` | `setDrillExes(MondrianDrillExBean[] drillExes)` Set drillExes.
`void` | `setMemberSets(MondrianMemberSetBean[] memberSets)` Set memberSets.

Methods inherited from class com.tonbeller.jpivot.olap.query.QuaxBean
`getGenerateIndex, getGenerateMode, getNDimension, getNHierExclude, getOrdinal, getPosTreeRoot, isHierarchizeNeeded, isQubonMode, setGenerateIndex, setGenerateMode, setHierarchizeNeeded, setNDimension, setNHierExclude, setOrdinal, setPosTreeRoot, setQubonMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianQuaxBean

    public MondrianQuaxBean()

Method Detail

### setDrillExes

    public void setDrillExes(MondrianDrillExBean[] drillExes)

  Set drillExes.

  Parameters:
    `drillExes` - Used by old memento (MDX Generation version 2) HHTASK: remove, when old Bookmarks are replaced

### getDrillExes

    public MondrianDrillExBean[] getDrillExes()

  Get drillExes.

  Returns:
    drillExes Used by old memento (MDX Generation version 2) HHTASK: remove, when old Bookmarks are replaced

### getMemberSets

    public MondrianMemberSetBean[] getMemberSets()

  Get memberSets.

  Returns:
    memberSets Used by old memento (MDX Generation version 2) HHTASK: remove, when old Bookmarks are replaced

### setMemberSets

    public void setMemberSets(MondrianMemberSetBean[] memberSets)

  Set memberSets.

  Parameters:
    `memberSets` - Used by old memento (MDX Generation version 2) HHTASK: remove, when old Bookmarks are replaced

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD